function output = ballistics(t, d2x_dt2, d2y_dt2,  x0, xdot0, y0, ydot0)
% Example 2.5.8
% Example of usage: 
% my_output = ballistics([0:0.002:2.5], 0, -9.81,  0, 10, 0, 10);

disp('NOTE: The output of a call to the function ballistics.m is a')
disp('n by 5 matrix, where n is the number of points in the time array t')
disp('1st column: t, 2nd column: x, 3rd column: dx/dt, 4th column: y, 5th column: dy/dt')
disp(' ')

initial_conditions=[x0; xdot0; y0; ydot0];
[t, var]=ode45(@rhs_of_diff_eqs, t, initial_conditions, [], d2x_dt2, d2y_dt2);

output=[t, var];  
% output is a n by 5 matrix, where n is the number of points in the time array t;  
% column 1: t, column 2: x, column 3: dx/dt, column 4: y, column 5: dy/dt

% ANIMATION (the "bar" is be a point):
x_coordinates=output(:,2);  y_coordinates=output(:,4);  animate_nbars(x_coordinates, y_coordinates);


function dvar_dt=rhs_of_diff_eqs(t, var, d2x_dt2, d2y_dt2) 
    % Note:  var(1)=x, var(2)=dx/dt, var(3)=y, var(4)=dy/dt
  dvar_dt=[var(2); d2x_dt2; var(4); d2y_dt2];
% end of the file ballistics.m